Bug 875044 - maven-timestamp-plugin: License file not installed
maven-timestamp-plugin: License file not installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: maven-timestamp-plugin (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal 880181
  Show dependency treegraph
 
Reported: 2012-11-09 07:00 EST by Mikolaj Izdebski
Modified: 2012-11-26 08:05 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 880181 (view as bug list)
Environment:
Last Closed: 2012-11-26 08:05:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-11-09 07:00:12 EST
Description of problem:
According to the license tag maven-timestamp-plugin is licensed under ASL 2.0, but the license text is not provided.

Version-Release number of selected component (if applicable):
1.1-4

Additional info:
Redistribution of ASL-2.0-licensed work is permitted only if a copy of the license is included. See point 4 (a) of the license.

Please include a copy of the license in the package to coply with the licensing terms.
Comment 1 Tom "spot" Callaway 2012-11-09 15:23:14 EST
Relevant guidelines for this situation:

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Basically, ask the upstream to add the license text to their source tree, and if they do, include a copy of that text to the Fedora package (either as part of a newer source tarball or as an additional Source).

If they do not respond (or do not add it), you either need to manually add a copy of this license text to the package as an additional Source file, or if you are uncomfortable doing this, you need to retire this package.
Comment 2 Mikolaj Izdebski 2012-11-26 08:05:02 EST
I believe that this bug is fixed in maven-timestamp-plugin-1.1-5,
which is available in Fedora Rawhide.  I am closing the bug now,
thank you for reporting it.  A summary of changes is included below.

* Fri Nov 23 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1-5
- Install license file
- Resolves: rhbz#875044

Note You need to log in before you can comment on or make changes to this bug.